Bug 831897 - Some error need to be fixed in Chapter 4 && 22 for migration and trouble shooting
Some error need to be fixed in Chapter 4 && 22 for migration and trouble shoo...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Administration_Guide (Show other bugs)
6.3
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Laura Novich
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 23:10 EDT by weizhang
Modified: 2016-01-26 20:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 02:20:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weizhang 2012-06-13 23:10:17 EDT
Description of problem:
1. http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization_Administration_Guide/chap-Virtualization_Administration_Guide-KVM_live_migration.html
Chapter 4. KVM live migration

in sentence:
"KVM also estimates transfer speed during migration, so when the remaining amount of data to transfer will take a certain configurable period of time (10ms by default), KVM stops the original guest, transfers the remaining data, and resumes the guest on the destination host."

KVM stops the original guest -> KVM suspends the original guest

4.1. Live migration requirements

in sentence:
"Both systems must have identical network configurations. All bridging and network configurations must be exactly the same on both hosts. "
"Shared storage must mount at the same location on source and destination systems. The mounted directory name must be identical."

Now migration can succeed with different network configurations and mount dir with the help of --xml option or pre-hooks when doing migration
Even with out shared storage, migration can still succeed with --copy-storage-all when doing migration

The shared storage, identical network interface and mount dir are required necessary when use virt-manager to do migration

4.3. Shared storage example: NFS for a simple migration

in sentence:
"Warning
Whichever directory is chosen for the guests must be exactly the same on host and guest. This applies to all types of shared storage. The directory must be the same or the migration will fail."

Same as above

2. http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization_Administration_Guide/chap-Virtualization_Administration_Guide-Troubleshooting.html
Chapter 22. Troubleshooting

22.6. Enabling Intel VT-x and AMD-V virtualization hardware extensions in BIOS

in sentence:
"When the machine has booted, run cat /proc/cpuinfo | grep "vmx svm". If the command outputs, the virtualization extensions are now enabled. If there is no output your system may not have the virtualization extensions or the correct BIOS setting enabled."

run cat /proc/cpuinfo |grep "vmx svm" -> run cat /proc/cpuinfo |grep -E "vmx|svm"


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 5 Laura Novich 2012-10-10 02:13:21 EDT
Orit,
Can you please tell me if these options are supported and valid?
See comment #0

"Now migration can succeed with different network configurations and mount dir with the help of --xml option or pre-hooks when doing migration
Even with out shared storage, migration can still succeed with --copy-storage-all when doing migration

Question--- what is the xml option and what are pre-hooks?


how do you perform a migration w/copy-storage-all and is it recommended / supported?

Thanks
Laura
Comment 6 Osier Yang 2012-10-30 05:14:58 EDT
(In reply to comment #5)
> Orit,
> Can you please tell me if these options are supported and valid?
> See comment #0
> 
> "Now migration can succeed with different network configurations and mount
> dir with the help of --xml option or pre-hooks when doing migration
> Even with out shared storage, migration can still succeed with
> --copy-storage-all when doing migration
> 
> Question--- what is the xml option and what are pre-hooks?

For pre-hooks: 

http://libvirt.org/hooks.html

See the migration part ("QEMU guest migration")

For option "--xml", please see virsh manual for more details (man virsh)
> 
> 
> how do you perform a migration w/copy-storage-all and is it recommended /
> supported?

It's supported as far as I can tell.

> 
> Thanks
> Laura
Comment 9 Laura Novich 2013-02-25 02:20:13 EST
Closed - fix implemented in RHEL 6.4

Note You need to log in before you can comment on or make changes to this bug.